INTERFACE
SUBROUTINE WRITTRAJM(KSTEP,KSTA,KEND,KJUMP,KFIELDS,&
 & PUT15,PVT15,PTT15,PSVD15,PE3Y5,&
 & PERR5,PEGHL5,PEGHM5,PEWW5,PVORT5,PDIVT5,&
 & PUT5L,PVT5L,PSPT15) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KSTEP
INTEGER(KIND=JPIM),INTENT(IN) :: KSTA
INTEGER(KIND=JPIM),INTENT(IN) :: KEND
INTEGER(KIND=JPIM),INTENT(IN) :: KJUMP
INTEGER(KIND=JPIM),INTENT(IN) :: KFIELDS
REAL(KIND=JPRB) ,INTENT(IN) :: PUT15(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVT15(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTT15(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSVD15(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PE3Y5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PERR5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PEGHL5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PEGHM5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PEWW5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVORT5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIVT5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PUT5L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVT5L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPT15(NPROMA)
END SUBROUTINE WRITTRAJM
END INTERFACE
